Bug 137325 - general cups packaging issues
Summary: general cups packaging issues
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-27 15:45 UTC by Matthew Galgoci
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 17:03:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2004-10-27 15:45:32 UTC
Description of problem:

Cups requires xinetd, for legacy lpd support, which is lame.

Also /etc/xinetd.d/cups-lpd is mode 0755, it should be 0644.

I suggest modularizing the lpd emulation subsystem into a sepperate
sub rpm of the cups package, and making that package require xinetd,
and also modify the redhat-lsb package to require the subpackage that
does the lpd emulation.

I can do this and send you a patch if you'd like.

Comment 1 Tim Waugh 2004-11-05 11:34:44 UTC
Yes please!  Thanks..

Comment 2 Tim Waugh 2004-11-22 17:03:20 UTC
Fixed in 1.1.22-2.


Note You need to log in before you can comment on or make changes to this bug.